CREATE TABLE gl_segval_inherit_history (
    CHART_OF_ACCOUNTS_ID      NUMBER(18, 0),
    LAST_RUN_DATE             DATE             NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    REQUEST_ID                NUMBER(18, 0),
    PROGRAM_APPLICATION_ID    NUMBER(18, 0),
    PROGRAM_ID                NUMBER(18, 0)    NOT NULL,
    PROGRAM_UPDATE_DATE       DATE         ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CHART_OF_ACCOUNTS_ID      NUMBER(18, 0),
    LAST_RUN_DATE             DATE             NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    REQUEST_ID                NUMBER(18, 0),
    PROGRAM_APPLICATION_ID    NUMBER(18, 0),
    PROGRAM_ID                NUMBER(18, 0)    NOT NULL,
    PROGRAM_UPDATE_DATE       DATE         ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_segval_inherit_history PRIMARY KEY (CHART_OF_ACCOUNTS_ID, REQUEST_ID, CHART_OF_ACCOUNTS_ID, REQUEST_ID)
);
